MySQL- Руководство разработчика



              

Установка Perl на Unix


Perl-поддержка для MySQL обеспечивается посредством интерфейса пользователя DBI/DBD. Код пользователя Perl DBD/DBI требует Perl Version 5.004 или выше. Интерфейс не будет работать, если Вы имеете старую версию!

MySQL Perl-поддержка также требует, чтобы Вы установили MySQL-поддержку программирования пользователя. Если Вы установили MySQL из файлов RPM, программы пользователя находятся в клиентском RPM, но поддержка программирования пользователя находится в RPM для разработчика. Удостоверьтесь, что Вы в самом деле установили последний RPM.

Начиная с Version 3.22.8, поддержка Perl поставляется отдельно от главного дистрибутива MySQL. Если Вы хотите устанавливать поддержку Perl, нужные файлы можно найти на http://www.mysql.com/Downloads/Contrib.

Дистрибутивы Perl поставляются как сжатые архивы в формате tar и имеют имена подобные MODULE-VERSION.tar.gz, где MODULE представляет собой имя модуля, а VERSION задает номер версии. Вы должны получить пакеты Data-Dumper, DBI и Msql-Mysql-modules и устанавливать их в этом порядке. Процедура установки показывается ниже. Показанный пример подходит для модуля Data-Dumper, но процедура та же самая для всех трех нужных Вам модулей:

  • Распакуйте дистрибутив в текущий каталог: shell> gunzip < Data-Dumper-VERSION.tar.gz | tar xvf - Эта команда создаст каталог под именем Data-Dumper-VERSION.
  • Теперь перейдите в каталог распакованного дистрибутива: shell> cd Data-Dumper-VERSION
  • Сконфигурируйте и откомпилируйте дистрибутив: shell> perl Makefile.PL shell> make shell> make test shell> make install
  • Команда make test важна потому, что она проверяет что модуль работает. Обратите внимание, что когда Вы выполняете эту команду в течение установки Msql-Mysql-modules, чтобы проверить код интерфейса, сервер MySQL должен работать, или тест будет терпеть неудачу.

    Стоит пересобрать и повторно установить Msql-Mysql-modules всякий раз, когда Вы устанавливаете новый выпуск MySQL, особенно, если Вы обращаете внимание на нехорошие признаки типа того, что все Ваши скрипты DBI после апгрейда MySQL падают.

    Если Вы не имеете права установить модули Perl в системный каталог, или чтобы установить локальные модули Perl, следующая ссылка может помочь:

    http://www.bluehill.com/support/perl_modules.html

    Смотрите под заголовком Installing New Modules that Require Locally Installed Modules.




    Содержание  Назад  Вперед